- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates availability information for a human user. Only the customStatus field can be updated through this method.
This method only updates the authenticated user's availability.
Requires user authentication with one of the following authorization scopes:
https://www.googleapis.com/auth/chat.users.availability
HTTP request
PATCH https://chat.googleapis.com/v1/{availability.name=users/*/availability}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
availability.name |
Identifier. Resource name of the user's availability. Format:
The user's email address or |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The list of fields to update. The only field that can be updated is |
Request body
The request body contains an instance of Availability.
Response body
If successful, the response body contains an instance of Availability.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chat.users.availability
For more information, see the Authorization guide.